@import url("base.css");

.content {
    height: fit-content;
    width: 100%;
    display: flex;
    flex-direction: column;
    border-radius: 0 0 12.136vw 12.136vw;
    background-color: var(--globe-color);
}

.drone {
    position: relative;
    height: 50.164vh;
    width: 100%;
    background-image: url("/assets/drone.png");
    background-position: 0;
    background-size: cover;
    overflow: hidden;
    background-repeat: no-repeat;
    border-radius: 0 0 12.136vw 12.136vw;
}

.drone video {
    border-radius: 0 0 12.136vw 12.136vw;
    height: auto;
    width: auto;
    min-height: 100%;
    min-width: 100%;
    z-index: 1;
    position: absolute;
    right: 0;
    bottom: 0;
    pointer-events: none;
}

.drone div {
    flex-direction: column;
    z-index: 2;
}

.drone span{
    color: var(--primary-inv);
}

.drone > .container {
    gap: 0.872vh;
    position: absolute;
    bottom: 8.288vh;
    left: 5.583vw;
}

.drone > .container > div:last-child > span {
    font-family: "Muller";
    font-size: var(--text);
    flex-direction: column;
    font-weight: normal;
    display: flex;
}

.drone > .container > div:first-child {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.drone img {
    display: none;
}

.drone > .container > div:first-child > span {
    font-family: "TT Tsars B";
    font-size: var(--h1);
    font-weight: bold;
    text-transform: uppercase;
}

.info {
    flex-direction: column;
    width: calc(100% - 7.767vw * 2);
    align-items: center;
    gap: 4.362vh;
    padding: 5.234vh 7.767vw 6.979vh 7.767vw;
}

.text {
    width: 100%;
    height: fit-content;
    font-family: "Muller";
    font-size: var(--text);
    color: var(--secondary-color);
    gap: 1.5rem;
    display: flex;
    flex-direction: column;
    font-weight: normal;
    word-spacing: normal;
}

.text b {
    color: var(--accent);
}

.slider {
    width: 100%;
    height: 100%;
}

#images {
    height: fit-content;
    display: flex;
    flex-direction: row;
    gap: 7.767vw;
    width: 100%;
    overflow-y: hidden;
    -ms-overflow-style: none;
    left: 0;
    top: 0;
    scrollbar-width: none;
}

#images::-webkit-scrollbar {
    width: 0;
    -webkit-appearance: none;
    height: 0;
    display: none;
}

#images img {
    width: calc(100vw - 7.767vw * 2);
    height: auto;
    border-radius: 7.282vw;
    aspect-ratio: 3/2;
}

.slider-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: calc(100% - 5.34vw * 2);
    gap: 1.745vh;
    height: fit-content;
    margin: 3.49vh 5.34vw 0 5.34vw;
}

.progress-container {
    height: 0.436vh;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    border-radius: 2px;
    position: relative;
    overflow:hidden;
}

#progress {
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--secondary-color);
    height: 100%;
    width: 29.126vw;
}

.slider-info img {
    width: 9.709vw;
    height: auto;
}

@media screen and (orientation: landscape) {
    .content {
		border-radius: 0 0 3.906vw 3.906vw;
	}

    .drone {
        height: 91.133vh;
        border-radius: 0 0 3.906vw 3.906vw;
        justify-content: center;
        align-items: end;
    }

    .drone video {
        border-radius: 0 0 3.906vw 3.906vw;
    }

    .drone video::-webkit-media-controls {
        display: none;
    }

    .drone > .container {
        position: unset;
        margin-bottom: 18.885vh;
        gap: 1.563vh;
    }

    .drone > .container > div:last-child > span {
        font-size: 3.306vh;
        font-weight: bold;
        text-transform: uppercase;
    }
    
    .drone > .container > div:first-child > span {
        font-size: 11.921vh;
    }
    
    .drone > .container > div {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 1.563vh;
    }
    
    .drone > .container > div > img {
        display: block;
        height: 8.654vh;
        width: auto;
    }

    .info {
        gap: 7.692vh;
        padding: 9.615vh 2.656vw 20.192vh 2.656vw;
        width: calc(100% - 2.656vw * 2);
    }

    .text {
        width: 62.5vw;
        font-size: 2.163vh;
        gap: 2.885vh;
    }

    #images {
        gap: 2.5vw;
        overflow-x: scroll;
    }

    #images img {
        border-radius: 2.344vw;
        height: 42.788vh;
        width: auto;
        aspect-ratio: 3/2;
    }

    .slider-info {
        display: none;
    }
}